<?php
// $Id: main.php,v 1.1 2004/10/16 16:01:54 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//

// Welcome Screen
define("_INSTALL_W_WELCOME"   , "Bienvenido al instalador de %s");
define("_INSTALL_W_CHOOSE"    , "Por favor elija la acción que desea realizar:");
define("_INSTALL_W_CHOOSELANG", "Por favor elija el idioma que desea usar durante la instalación");

// Server Tests
define("_INSTALL_ST_TESTS"       , "Estos son los resultados después de comprobar su servidor:");
define("_INSTALL_ST_MAINFILE_OK" , "El archivo mainfile.php puede ser escrito :: <img src='images/check.gif' />");
define("_INSTALL_ST_MAINFILE_BAD", "Debe cambiar los permisos del archivo mainfile.php a (0666 Unix / read-write Win32) antes de continuar :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_OK"    , "La versión de mysql es %s, que es suficiente :: <img src='images/check.gif' />");
define("_INSTALL_ST_MYSQL_BAD"   , "La versión de mysql es %s, que no es suficiente para instalar RUNCMS :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_BAD2"  , "No se determinó la versión de mysql, la mínima necesaria es MySQL 3.23.xx.");
define("_INSTALL_ST_GLOBALS_OK"  , "Register Globals está ON :: <img src='images/check.gif' />");
define("_INSTALL_ST_GLOBALS_BAD" , "Register Globals está OFF. ..esto no debe dar problemas. :: <img src='images/question.gif' />");
define("_INSTALL_ST_PHP_OK"      , "La versión de PHP es %s, que es suficiente :: <img src='images/check.gif' />");
define("_INSTALL_ST_PHP_BAD"     , "La versión de PHP es %s. Se necesita una versión superior para RUNCMS :: <img src='images/failed.gif' />");
define("_INSTALL_ST_NEXT"        , "Si los resultados son positivos, entonces continúe..");
define("_INSTALL_PHPINFO"        , "Información de PHP");

// DBFORM
define("_INSTALL_DF_DB"          ,"Base de datos");
define("_INSTALL_DF_DB1"         ,"Elija el tipo de base de datos usada.");
define("_INSTALL_DF_HOST"        ,"Host de la base de datos");
define("_INSTALL_DF_HOST1"       ,"Host del servidor de la base de datos. ( Si no está seguro, 'localhost' funciona en la mayoría de casos. )");
define("_INSTALL_DF_UNAME"       ,"Nombre de usuario de la base de datos");
define("_INSTALL_DF_UNAME1"      ,"Cuenta de usuario de la base de datos en el host. ( Normalmente es root cuando se instala en una máquina local. )");
define("_INSTALL_DF_PASS"        ,"Contraseña de la base de datos");
define("_INSTALL_DF_PASS1"       ,"Contraseña de la cuenta de usuario de la base de datos.");
define("_INSTALL_DF_DBNAME"      ,"Nombre de la base de datos");
define("_INSTALL_DF_DBNAME1"     ,"El nombre de la base de datos en el host. El instalador creará la base de datos si no existe.");
define("_INSTALL_DF_PREFIX"      ,"Prefijo de la tabla");
define("_INSTALL_DF_PREFIX1"     ,"Este prefijo sera añadido a todas las tablas para evitar conflictos en la base de datos. Si no está seguro de que poner, use por defecto 'e_xoops'.");
define("_INSTALL_DF_PCONNECT"    ,"¿Usar conexión persistente?");
define("_INSTALL_DF_PCONNECT1"   ,"Por defecto es 'No'. Elija 'No' si no esta seguro.");
define("_INSTALL_DF_PATH"        ,"Ruta física");
define("_INSTALL_DF_PATH1"       ,"Ruta física al directorio principal de RUNCMS SIN barra invertida. ( En Windows use la barra normal y asegurese de incluir la letra del disco. c:/midirectorio )");
define("_INSTALL_DF_URL"         ,"Ruta virtual (URL)");
define("_INSTALL_DF_URL1"        ,"Ruta virtual al directorio principal de RUNCMS SIN barra invertida. ( http://www.misitio.com/midirectorio )");
define("_INSTALL_DF_PLEASE_ENTER","Por favor introduzca un %s válido");
define("_INSTALL_DF_ERRORS"      , "Se han encontrado los siguientes errores:");
define("_INSTALL_DF_BADROOT"     , "La ruta física que ha especificado parece que no existe.");
define("_INSTALL_DF_BADDB"       , "No se ha podido conectar o crear la base de datos con los datos que ha especificado.");
define("_INSTALL_DF_OK"          , "Parece que todo ha funcionado correctamente, continue para guardar la configuración.");
define("_INSTALL_LANG"           , "Idioma por defecto.");


// Mainfile setup
define("_INSTALL_MF_FAILOPEN" ,"No se pudo abrir mainfile.php. Por favor compruebe los permisos y pruebe de nuevo.");
define("_INSTALL_MF_FAILWRITE","No se pudo escribir en mainfile.php. Póngase en contacto con el administrador del servidor.");
define("_INSTALL_MF_WRITEOK"  ,"Los datos de la configuración han sido guardados.");

// Admin Setup
define("_INSTALL_AD_MSG"     , "Ahora vamos a configurar la cuenta del administrador:");
define("_INSTALL_AD_UNAME"   , "Nombre de usuario:");
define("_INSTALL_AD_EMAIL"   , "Correo electrónico:");
define("_INSTALL_AD_PASS"    , "Contraseña:");
define("_INSTALL_AD_BADPASS" , "Por favor, introduzca una contraseña con más de %s caracteres");
define("_INSTALL_AD_BADUNAME", "Sólo puede usar caracteres alfanuméricos en el nombre de usuario y sin espacios");
define("_INSTALL_AD_BADEMAIL", "El correo electrónico tiene un formato no válido.");

// DB CREATION
define("_INSTALL_DB_DBERROR" , "La creación de tablas en la base de datos a fallado. Las tablas fueron borradas.");
define("_INSTALL_DB_TRYAGAIN", "Pulse <a href='%s'>aquí</a> para intentarlo de nuevo desde el primer paso.");

// Finish
define("_INSTALL_F_CONGRAT" , "Enhorabuena, RUNCMS ha sido instalado");
define("_INSTALL_F_CHMOD"   , "Compruebe que son correctos los permisos de los archivos:");
define("_INSTALL_F_CHMODMSG", "Si tiene acceso a la línea de comandos de su servidor, puede querer bajarse un script chmod para su sistema operativo. Simplemente guardelo en su disco y ejecútelo desde la línea de comandos");
define("_INSTALL_F_VISIT"   , "Puede visitar su sitio pulsando <a href='%s/'>aquí</a>");

// Some general stuff
define("_INSTALL_G_TITLE" , "Instalación");
define("_INSTALL_U_CHOOSE", "Por favor elija el paquete de actualización:");
define("_INSTALL_U_NOTE"  , "NOTA: El antiguo mainfile.php ha sido actualizado y tiene la información correcta.");
define("_INSTALL_U_README", "Pulse <a href='%s' target='_blank'>aquí</a> para ver el archivo <b>LEEME</b> para más información.");
?>
